org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetastorageRowStoreEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.freelist.SimpleDataRow
  - - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageRowStoreEntry

All Implemented Interfaces:
  Storable

    public class MetastorageRowStoreEntry
    extends SimpleDataRow

### Constructor Summary

Constructors
Constructor and Description
`MetastorageRowStoreEntry(byte[] val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IOVersions<? extends AbstractDataPageIO<?>>` `ioVersions()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.SimpleDataRow

`headerSize, link, link, partition, size, toString, value`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetastorageRowStoreEntry

    public MetastorageRowStoreEntry(byte[] val)

### Method Detail

#### ioVersions

    public IOVersions<? extends AbstractDataPageIO<?>> ioVersions()

Specified by:
  `ioVersions` in interface `Storable`
Overrides:
  `ioVersions` in class `SimpleDataRow`
Returns:
  I/O for handling this storable.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020